package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 批次场次表
// * @author tianjun
// *
// */
//
//@Document(collection = "jk_exam_stage")
//public class ExamStage implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 4870908855914486332L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	//批次ID
//	@Field("batch_id")
//	private String batchId;
//
//	//批次名称
//	@Field("batch_name")
//	private String batchName;
//
//	//批次开始时间
//	@Field("batch_start_time")
//	private Date batchStartTime;
//
//	//批次结束时间
//	@Field("batch_end_time")
//	private Date batchEndTime;
//
//	//场次ID
//	@Field("stage_id")
//	private String stageId;
//
//	//场次的开始时间
//	@Field("stage_start_time")
//	private Date stageStartTime;
//
//	//场次的结束时间
//	@Field("stage_end_time")
//	private Date stageEndTime;
//
//	//迟到登录时间
//	@Field("late_login_time")
//	private String lateLoginTime;
//
//	//交卷冻结时间
//	@Field("frozen_time")
//	private String frozenTime;
//
//	//创建时间
//	@Field("create_time")
//	private Date createTime;
//
//	// 是否随到随考
//	@Field("sdsk")
//	private String sdsk;
//
//	public ExamStage() {
//
//	}
//
//	public ExamStage(ExamStageTemp examStageTemp) {
//		setExamCode(examStageTemp.getExamCode());
//		setBatchId(examStageTemp.getBatchId());
//		setBatchName(examStageTemp.getBatchName());
//		setBatchStartTime(examStageTemp.getBatchStartTime());
//		setBatchEndTime(examStageTemp.getBatchEndTime());
//		setStageId(examStageTemp.getStageId());
//		setStageStartTime(examStageTemp.getStageStartTime());
//		setStageEndTime(examStageTemp.getStageEndTime());
//		setLateLoginTime(examStageTemp.getLateLoginTime());
//		setFrozenTime(examStageTemp.getFrozenTime());
//		setCreateTime(examStageTemp.getCreateTime());
//		setSdsk(examStageTemp.getSdsk());
//	}
//
//	/**
//	 * @return the sdsk
//	 */
//	public String getSdsk() {
//		return sdsk;
//	}
//
//
//
//	/**
//	 * @param sdsk the sdsk to set
//	 */
//	public void setSdsk(String sdsk) {
//		this.sdsk = sdsk;
//	}
//
//
//
//	/**
//	 * @return the batchName
//	 */
//	public String getBatchName() {
//		return batchName;
//	}
//
//
//
//
//	/**
//	 * @param batchName the batchName to set
//	 */
//	public void setBatchName(String batchName) {
//		this.batchName = batchName;
//	}
//
//
//
//
//	/**
//	 * @return the createTime
//	 */
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	/**
//	 * @param createTime the createTime to set
//	 */
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//
//	/**
//	 * @return the id
//	 */
//	public String getId() {
//		return id;
//	}
//
//	/**
//	 * @param id the id to set
//	 */
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	/**
//	 * @return the examCode
//	 */
//	public String getExamCode() {
//		return examCode;
//	}
//
//	/**
//	 * @param examCode the examCode to set
//	 */
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	/**
//	 * @return the batchId
//	 */
//	public String getBatchId() {
//		return batchId;
//	}
//
//	/**
//	 * @param batchId the batchId to set
//	 */
//	public void setBatchId(String batchId) {
//		this.batchId = batchId;
//	}
//
//	/**
//	 * @return the batchStartTime
//	 */
//	public Date getBatchStartTime() {
//		return batchStartTime;
//	}
//
//	/**
//	 * @param batchStartTime the batchStartTime to set
//	 */
//	public void setBatchStartTime(Date batchStartTime) {
//		this.batchStartTime = batchStartTime;
//	}
//
//	/**
//	 * @return the batchEndTime
//	 */
//	public Date getBatchEndTime() {
//		return batchEndTime;
//	}
//
//	/**
//	 * @param batchEndTime the batchEndTime to set
//	 */
//	public void setBatchEndTime(Date batchEndTime) {
//		this.batchEndTime = batchEndTime;
//	}
//
//	/**
//	 * @return the stageId
//	 */
//	public String getStageId() {
//		return stageId;
//	}
//
//	/**
//	 * @param stageId the stageId to set
//	 */
//	public void setStageId(String stageId) {
//		this.stageId = stageId;
//	}
//
//	/**
//	 * @return the stageStartTime
//	 */
//	public Date getStageStartTime() {
//		return stageStartTime;
//	}
//
//	/**
//	 * @param stageStartTime the stageStartTime to set
//	 */
//	public void setStageStartTime(Date stageStartTime) {
//		this.stageStartTime = stageStartTime;
//	}
//
//	/**
//	 * @return the stageEndTime
//	 */
//	public Date getStageEndTime() {
//		return stageEndTime;
//	}
//
//	/**
//	 * @param stageEndTime the stageEndTime to set
//	 */
//	public void setStageEndTime(Date stageEndTime) {
//		this.stageEndTime = stageEndTime;
//	}
//
//	/**
//	 * @return the lateLoginTime
//	 */
//	public String getLateLoginTime() {
//		return lateLoginTime;
//	}
//
//	/**
//	 * @param lateLoginTime the lateLoginTime to set
//	 */
//	public void setLateLoginTime(String lateLoginTime) {
//		this.lateLoginTime = lateLoginTime;
//	}
//
//	/**
//	 * @return the frozenTime
//	 */
//	public String getFrozenTime() {
//		return frozenTime;
//	}
//
//	/**
//	 * @param frozenTime the frozenTime to set
//	 */
//	public void setFrozenTime(String frozenTime) {
//		this.frozenTime = frozenTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.constant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 批次场次表
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkExamStage对象", description = "批次场次表")
@TableName("jk_exam_stage")
public class ExamStage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "批次名称")
    private String batchName;

    @ApiModelProperty(value = "批次开始时间")
    private Long batchStartTime;

    @ApiModelProperty(value = "批次结束时间")
    private Long batchEndTime;

    @ApiModelProperty(value = "场次id")
    private String stageId;

    @ApiModelProperty(value = "场次开始时间")
    private Long stageStartTime;

    @ApiModelProperty(value = "场次结束时间")
    private Long stageEndTime;

    @ApiModelProperty(value = "迟到登录时间")
    private String lateLoginTime;

    @ApiModelProperty(value = "交卷冻结时间")
    private String frozenTime;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "是否随到随考")
    private String sdsk;

    public ExamStage() {

    }

    public ExamStage(ExamStageTemp examStageTemp) {
        this.id = SystemConstant.getDbUuid();
        setExamCode(examStageTemp.getExamCode());
        setBatchId(examStageTemp.getBatchId());
        setBatchName(examStageTemp.getBatchName());
        setBatchStartTime(examStageTemp.getBatchStartTime());
        setBatchEndTime(examStageTemp.getBatchEndTime());
        setStageId(examStageTemp.getStageId());
        setStageStartTime(examStageTemp.getStageStartTime());
        setStageEndTime(examStageTemp.getStageEndTime());
        setLateLoginTime(examStageTemp.getLateLoginTime());
        setFrozenTime(examStageTemp.getFrozenTime());
        setCreateTime(examStageTemp.getCreateTime());
        setSdsk(examStageTemp.getSdsk());
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getBatchStartTime() {
        return batchStartTime;
    }

    public void setBatchStartTime(Long batchStartTime) {
        this.batchStartTime = batchStartTime;
    }

    public Long getBatchEndTime() {
        return batchEndTime;
    }

    public void setBatchEndTime(Long batchEndTime) {
        this.batchEndTime = batchEndTime;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public Long getStageStartTime() {
        return stageStartTime;
    }

    public void setStageStartTime(Long stageStartTime) {
        this.stageStartTime = stageStartTime;
    }

    public Long getStageEndTime() {
        return stageEndTime;
    }

    public void setStageEndTime(Long stageEndTime) {
        this.stageEndTime = stageEndTime;
    }

    public String getLateLoginTime() {
        return lateLoginTime;
    }

    public void setLateLoginTime(String lateLoginTime) {
        this.lateLoginTime = lateLoginTime;
    }

    public String getFrozenTime() {
        return frozenTime;
    }

    public void setFrozenTime(String frozenTime) {
        this.frozenTime = frozenTime;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getSdsk() {
        return sdsk;
    }

    public void setSdsk(String sdsk) {
        this.sdsk = sdsk;
    }
}